commit:     0b6c7701bc3aa2884adf4c5507fd80bccd69c967
Author:     Jan Chren <dev.rindeal <AT> gmail <DOT> com>
AuthorDate: Wed May 18 12:48:27 2016 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Thu May 19 01:36:19 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b6c7701

sys-apps/miller: new package, initial vn. 4.0.0

To be maintained under the Proxy Maintainers Project
Initial ebuild / git patch submitted via the pull request

Closes: https://github.com/gentoo/gentoo/pull/1484

Signed-off-by: Ian Delaney <idella4 <AT> gentoo.org>

 sys-apps/miller/Manifest            |  1 +
 sys-apps/miller/metadata.xml        | 12 ++++++++
 sys-apps/miller/miller-4.0.0.ebuild | 59 +++++++++++++++++++++++++++++++++++++
 3 files changed, 72 insertions(+)

diff --git a/sys-apps/miller/Manifest b/sys-apps/miller/Manifest
new file mode 100644
index 0000000..945c2fb
--- /dev/null
+++ b/sys-apps/miller/Manifest
@@ -0,0 +1 @@
+DIST miller-4.0.0.tar.gz 3320261 SHA256 
c702eb3423e96fb2f39d6339117fd7678ac1b63258d0bd9b8c76859993ec1a0c SHA512 
13612c18ad1d995797a760618fe4ca44c845c03f35df79cc5e981fd9d224ba60b0f3dc57ae454d32877711d216b32de5c22520cd9906f9866a5b59a3f488edb2
 WHIRLPOOL 
d6b7851436572ba1dfb83fac362408195d242065d5547e85363a809514bafab2d5085da1813048fa34616ecf879bf9b026630567e672b152dcfa26e427d99f1a

diff --git a/sys-apps/miller/metadata.xml b/sys-apps/miller/metadata.xml
new file mode 100644
index 0000000..ce15c23
--- /dev/null
+++ b/sys-apps/miller/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<maintainer type="person">
+       <email>[email protected]</email>
+       <name>Jan Chren (rindeal)</name>
+</maintainer>
+<maintainer type="project">
+       <email>[email protected]</email>
+       <name>Proxy Maintainers</name>
+</maintainer>
+</pkgmetadata>

diff --git a/sys-apps/miller/miller-4.0.0.ebuild 
b/sys-apps/miller/miller-4.0.0.ebuild
new file mode 100644
index 0000000..add619a
--- /dev/null
+++ b/sys-apps/miller/miller-4.0.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="A tool like sed, awk, cut, join, and sort for name-indexed data 
(CSV, JSON, ..)"
+HOMEPAGE="http://johnkerl.org/miller";
+LICENSE="BSD-2"
+
+SLOT="0"
+SRC_URI="https://github.com/johnkerl/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="doc test"
+
+DEPEND="sys-devel/flex"
+
+my_for_each_test_dir() {
+       local test_dirs=( c/{reg,unit}_test )
+       if use test ; then
+               for d in "${test_dirs[@]}" ; do
+                       pushd "${d}" >/dev/null || die
+                       "${@}" || die
+                       popd >/dev/null || die
+               done
+       fi
+}
+
+src_prepare() {
+       default
+
+       local sed_args=(
+               # respect FLAGS
+               -e '/.*FLAGS[^=]*=/ s:(-g|-pg|-O[0-9]) ::g'
+       )
+       find -type f -name "Makefile.am" | xargs sed -r "${sed_args[@]}" -i --
+       assert
+
+       # disable docs rebuilding as they're shipped prebuilt
+       sed -e '/SUBDIRS[^=]*=/ s:doc::g' -i -- Makefile.am || die
+
+       # disable building tests automagically
+       use test || sed -e '/SUBDIRS[^=]*=/ s:[^ ]*_test::g' -i -- 
c/Makefile.am || die
+
+       eautoreconf
+}
+
+src_test() {
+       my_for_each_test_dir emake check
+}
+
+src_install() {
+       local HTML_DOCS=( $(usev doc) )
+
+       default
+}

Reply via email to